#pragma once
#include "SourceFits.h"
#include <list>
#include <string>

using namespace std;

class Calibration : public SourceFits
{
	//Metodos
protected:
	long getMedian(list<long> l);
	void FitsReadFile();
public:
	Calibration();
	Calibration(string name);
	virtual ~Calibration();
	virtual void ObtainMaster();
	virtual void free_Master() = 0;
	virtual void PrintMasterData(int limx, int limy) = 0;
	//Metodos de lectura de archivo master
	virtual void setMaster(string masterfile) = 0;
	//Metodo para null master
	virtual void setNullMaster(int xs, int ys) = 0;
	//Metodo para settear nombre de un archivo
	void setNewFile(string newfile);
	void Init();
};